Adium

Opened 12 years ago

Closed 12 years ago

#11290 closed crash (fixed)

Since 1.3.2, logging into QQ hangs then crashes

Reported by: xephon Owned by: nobody
Milestone: Adium 1.3.3 Component: Adium Core
Version: Severity: major
Keywords: crash, Mac Cc:
Patch Status:

Description (last modified by Robert)

The following is the detail that Apple Bug Reporter sending to Apple.

I've ran through this ever since I updated my Adium to 1.3.2. Not really sure what caused the problem. Every time I try to open Adium, it stuck after changing to the customized dock icon and start to show that it is logging in. The main window never showed up. System terminates the software after around 10-15 sec of logging and prompt the bug reporter window.

Hope these information is enough. If not, just contact me.

Thx

Process:         Adium [735]
Path:            /Applications/Webs/Adium.app/Contents/MacOS/Adium
Identifier:      com.adiumX.adiumX
Version:         1.3.2 (1.3.2)
Code Type:       X86 (Native)
Parent Process:  launchd [91]

Date/Time:       2008-10-20 23:38:31.524 -0700
OS Version:      Mac OS X 10.5.5 (9F33)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000000
Crashed Thread:  0

Thread 0 Crashed:
0   libSystem.B.dylib             	0x9257c1e5 strtol_l + 52
1   libSystem.B.dylib             	0x9257c1ab atoi + 69
2   libpurple                     	0x17f279bd qq_connect_later + 445
3   com.adiumX.AdiumPurple        	0x0105d231 callTimerFunc + 120
4   com.apple.CoreFoundation      	0x90480b45 CFRunLoopRunSpecific + 4469
5   com.apple.CoreFoundation      	0x90480cf8 CFRunLoopRunInMode + 88
6   com.apple.HIToolbox           	0x94a62480 RunCurrentEventLoopInMode + 283
7   com.apple.HIToolbox           	0x94a62299 ReceiveNextEventCommon + 374
8   com.apple.HIToolbox           	0x94a6210d BlockUntilNextEventMatchingListInMode + 106
9   com.apple.AppKit              	0x965673ed _DPSNextEvent + 657
10  com.apple.AppKit              	0x96566ca0 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
11  com.apple.AppKit              	0x9655fcdb -[NSApplication run] + 795
12  com.apple.AppKit              	0x9652cf14 NSApplicationMain + 574
13  com.adiumX.adiumX             	0x00002d52 0x1000 + 7506
14  com.adiumX.adiumX             	0x00002c79 0x1000 + 7289

Thread 1:
0   libSystem.B.dylib             	0x925554a6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x9255cc9c mach_msg + 72
2   com.apple.CoreFoundation      	0x904800ce CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x90480cf8 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x93cd2100 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320
5   com.apple.Foundation          	0x93c6ebad -[NSThread main] + 45
6   com.apple.Foundation          	0x93c6e754 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x925866f5 _pthread_start + 321
8   libSystem.B.dylib             	0x925865b2 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x925554a6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x9255cc9c mach_msg + 72
2   com.apple.CoreFoundation      	0x904800ce CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x90480cf8 CFRunLoopRunInMode + 88
4   com.apple.audio.CoreAudio     	0x9022a468 HALRunLoop::OwnThread(void*) + 160
5   com.apple.audio.CoreAudio     	0x9022a304 CAPThread::Entry(CAPThread*) + 96
6   libSystem.B.dylib             	0x925866f5 _pthread_start + 321
7   libSystem.B.dylib             	0x925865b2 thread_start + 34

Thread 3:
0   libSystem.B.dylib             	0x925a55e2 select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x925866f5 _pthread_start + 321
2   libSystem.B.dylib             	0x925865b2 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x925554a6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x9255cc9c mach_msg + 72
2   com.apple.CoreFoundation      	0x904800ce CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x90480cf8 CFRunLoopRunInMode + 88
4   com.apple.CFNetwork           	0x90193eca CFURLCacheWorkerThread(void*) + 396
5   libSystem.B.dylib             	0x925866f5 _pthread_start + 321
6   libSystem.B.dylib             	0x925865b2 thread_start + 34

Thread 5:
0   libSystem.B.dylib             	0x92555506 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x9258784f _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x925890d3 pthread_cond_timedwait_relative_np + 47
3   ...apple.AddressBook.framework	0x96e4fa3d -[ABRemoteImageLoader workLoop] + 193
4   com.apple.Foundation          	0x93c6ebad -[NSThread main] + 45
5   com.apple.Foundation          	0x93c6e754 __NSThread__main__ + 308
6   libSystem.B.dylib             	0x925866f5 _pthread_start + 321
7   libSystem.B.dylib             	0x925865b2 thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x925bf07a __workq_ops + 10
1   libSystem.B.dylib             	0x925bf0aa start_wqthread + 30

Thread 7:

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0xa0218da0  ebx: 0x9257c1c2  ecx: 0x00000000  edx: 0x00404050
  edi: 0x00000000  esi: 0x18866f40  ebp: 0xbfffec68  esp: 0xbfffec20
   ss: 0x0000001f  efl: 0x00010293  eip: 0x9257c1e5   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0x00000000

Binary Images:
    0x1000 -   0x13ffeb +com.adiumX.adiumX 1.3.2 (1.3.2) <b16de947dc3ae2976bbffa3413b6cbfd> /Applications/Webs/Adium.app/Contents/MacOS/Adium
  0x185000 -   0x193fe4 +AutoHyperlinks ??? (???) <c65327c703119c8bab7aabc3fbe9f283> /Applications/Webs/Adium.app/Contents/Frameworks/AutoHyperlinks.framework/Versions/A/AutoHyperlinks
  0x199000 -   0x1a4fff +net.brockerhoff.RBSplitView.Framework 1.1.4 (1.1.4) <f2803c3b7579736fbd3ac6cdd89f9f7f> /Applications/Webs/Adium.app/Contents/Frameworks/RBSplitView.framework/Versions/A/RBSplitView
  0x1b0000 -   0x1f4fe7 +AIUtilities ??? (???) <e7d6b77a07825c8b006907ff3326f3c0> /Applications/Webs/Adium.app/Contents/Frameworks/AIUtilities.framework/Versions/A/AIUtilities
  0x281000 -   0x301ff9 +Adium ??? (???) <f4d0d06467cd522eb596c718fc0099ab> /Applications/Webs/Adium.app/Contents/Frameworks/Adium.framework/Versions/A/Adium
  0x354000 -   0x356fff  com.apple.ExceptionHandling 1.5 (10) /System/Library/Frameworks/ExceptionHandling.framework/Versions/A/ExceptionHandling
  0x35d000 -   0x36cfff +com.example.sparkeplus ??? (1.1) /Applications/Webs/Adium.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
  0x379000 -   0x3c9fef +com.adiumX.OTR ??? (1.0) <bae9d6bd60d5b53b19bcc17287f55ee9> /Applications/Webs/Adium.app/Contents/Frameworks/OTR.framework/Versions/A/OTR
  0x3da000 -   0x3ddfff +org.boredzo.LMX ??? (1.0) /Applications/Webs/Adium.app/Contents/Frameworks/LMX.framework/Versions/A/LMX
  0x53b000 -   0x540fff  com.apple.audio.AppleHDAHALPlugIn 1.5.7 (1.5.7a24) /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
  0x5b2000 -   0x5b5fff  com.apple.audio.AudioIPCPlugIn 1.0.4 (1.0.4) <d3d0290949e9c6af9832c02fe3e855ee> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
  0x718000 -   0x719fe1  com.apple.textencoding.unicode 2.2 (2.2) <6566f38ef8ee61fab9aaecfb6a81f208> /System/Library/TextEncodings/Unicode Encodings.bundle/Contents/MacOS/Unicode Encodings
  0x7ed000 -   0x7f2ffc +com.adiumX.facebook ??? (0.0.1d1) <855746a43ce8c569a77e55bcf83fe3d3> /Applications/Webs/Adium.app/Contents/PlugIns/Facebook.AdiumPlugin/Contents/MacOS/Facebook
  0x7f8000 -   0x7f9ffe +com.adiumX.purple ??? (1.0.0d1) <bc77ee9f09355e6c439ec4406a09e3b4> /Applications/Webs/Adium.app/Contents/PlugIns/Purple.AdiumPlugin/Contents/MacOS/Purple
 0x1000000 -  0x103afff +com.adiumX.Bonjour ??? (0.0.1d1) <5ff0f76712016aa9beef356859ab1aa4> /Applications/Webs/Adium.app/Contents/PlugIns/Bonjour.AdiumPlugin/Contents/MacOS/Bonjour
 0x104d000 -  0x1050fff +org.brautaset.JSON 2.0 (1.1.1) <a3117a6e06cee0116155538d24eba129> /Applications/Webs/Adium.app/Contents/PlugIns/Facebook.AdiumPlugin/Contents/Frameworks/JSON.framework/Versions/A/JSON
 0x1056000 -  0x109dfff +com.adiumX.AdiumPurple ??? (1.0) <295a104ce3eaf36a2acae6be7ee9fe72> /Applications/Webs/Adium.app/Contents/PlugIns/Purple.AdiumPlugin/Contents/Frameworks/AdiumLibpurple.framework/Versions/A/AdiumLibpurple
 0x10d5000 -  0x10d6ffc +libgmodule ??? (???) <8fac0eab14da1c5ebfbd1300d18124fc> /Applications/Webs/Adium.app/Contents/Frameworks/libgmodule.framework/Versions/2.0.0/libgmodule
 0x10da000 -  0x1110fe7 +libgobject ??? (???) <0d711fb569ea86885898830466a2fb14> /Applications/Webs/Adium.app/Contents/Frameworks/libgobject.framework/Versions/2.0.0/libgobject
 0x1121000 -  0x1123fff +libgthread ??? (???) <b1476f775f5487ee3fd9be9f25a87c18> /Applications/Webs/Adium.app/Contents/Frameworks/libgthread.framework/Versions/2.0.0/libgthread
 0x1127000 -  0x1130ff3 +libintl ??? (???) <85c3e43ab511eefe17084af7be8d1057> /Applications/Webs/Adium.app/Contents/Frameworks/libintl.framework/Versions/8/libintl
 0x1146000 -  0x1159fff +com.adiumX.WebKit-Message-View ??? (1.0.0d1) <3bee4b22a515e1db19e499ad2b658423> /Applications/Webs/Adium.app/Contents/PlugIns/WebKit Message View.AdiumPlugin/Contents/MacOS/WebKit Message View
 0x1180000 -  0x1182ffc  apop.so ??? (???) <af168e2e8b86c66628d8b1d44b646cb7> /usr/lib/sasl2/apop.so
 0x1286000 -  0x1287ff3  ATSHI.dylib ??? (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/ATSHI.dylib
 0x12b1000 -  0x12b3fff  libanonymous.2.so ??? (???) <a96da3a2a4cf3df8eeeb6f439afed168> /usr/lib/sasl2/libanonymous.2.so
 0x12ca000 -  0x12f0ff7 +libmeanwhile ??? (???) <6b85cb72c4aadd8e61bb5dabebc62c20> /Applications/Webs/Adium.app/Contents/Frameworks/libmeanwhile.framework/Versions/1/libmeanwhile
 0x1801000 -  0x1809fff  digestmd5WebDAV.so ??? (???) <192fc897aeea8b4c8fe66dcef8137a95> /usr/lib/sasl2/digestmd5WebDAV.so
 0x1814000 -  0x1822feb +com.dpompa.fribidi ??? (1.0) <e9be1f9823558c91eb2c56b72dfd393b> /Applications/Webs/Adium.app/Contents/Frameworks/FriBidi.framework/Versions/A/FriBidi
0x16e94000 - 0x17064fff  com.apple.RawCamera.bundle 2.0.9 (2.0.9) <5abad5816603201792f59c4f9715ebe4> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x17ceb000 - 0x17dbcfe7 +libglib ??? (???) <c99d7ef37dbc351d484d9ea104ffa35a> /Applications/Webs/Adium.app/Contents/Frameworks/libglib.framework/Versions/2.0.0/libglib
0x17ddc000 - 0x17fc0fe3 +libpurple ??? (???) <edf2421b3438d0ed8bb270da79788a06> /Applications/Webs/Adium.app/Contents/Frameworks/libpurple.framework/Versions/0.5.0/libpurple
0x18109000 - 0x1810bffc  libcrammd5.2.so ??? (???) <a5e2ea8b1d5846ffd9e964bbf70cf8a1> /usr/lib/sasl2/libcrammd5.2.so
0x1810f000 - 0x18111ffc  login.so ??? (???) <8e4ab93704d0a1b31eb34205372f4465> /usr/lib/sasl2/login.so
0x18135000 - 0x1814dfe2  dhx.so ??? (???) <8144ab11b8201f120dc87f3ec57d0714> /usr/lib/sasl2/dhx.so
0x1815c000 - 0x18165ffb  libdigestmd5.2.so ??? (???) <784532a675fbd5ad37ef3f0f37ab1671> /usr/lib/sasl2/libdigestmd5.2.so
0x18169000 - 0x1816dfff  libgssapiv2.2.so ??? (???) <9573782df9ab94523e219b67dbcdef63> /usr/lib/sasl2/libgssapiv2.2.so
0x18173000 - 0x1817affc  libotp.2.so ??? (???) <29be55bd825b104b13c971196d120d35> /usr/lib/sasl2/libotp.2.so
0x18184000 - 0x18186ffc  libplain.2.so ??? (???) <6207cde58a72fa972038208a0f6062fe> /usr/lib/sasl2/libplain.2.so
0x1818a000 - 0x1818fffc  libpps.so ??? (???) <31fe03649320e2f8b5404b179684d23a> /usr/lib/sasl2/libpps.so
0x18195000 - 0x18198fff  mschapv2.so ??? (???) <5c0fc0400a600f7c2d29ecbf95bc6017> /usr/lib/sasl2/mschapv2.so
0x187b9000 - 0x187bbffc  shadow_auxprop.so ??? (???) <b90c297da0fdf1bf0252ea496fbe83f2> /usr/lib/sasl2/shadow_auxprop.so
0x187c1000 - 0x187c3ffd  smb_lm.so ??? (???) <b0e54904b8dcecaa7d98c39841d03528> /usr/lib/sasl2/smb_lm.so
0x187c7000 - 0x187c9ffc  smb_nt.so ??? (???) <f927d77c27a795c0e7bb8478a47b83ed> /usr/lib/sasl2/smb_nt.so
0x187cd000 - 0x187d0ff0  smb_ntlmv2.so ??? (???) <a31a5d3a2184c97ecb945c6cbd308da9> /usr/lib/sasl2/smb_ntlmv2.so
0x1893d000 - 0x1893dffe  com.apple.applescript.component 2.0.1 (2.0.1) /System/Library/Components/AppleScript.component/Contents/MacOS/AppleScript
0x189e4000 - 0x189e7fef  com.apple.LiveType.component 2.1.3 (2.1.3) /Library/QuickTime/LiveType.component/Contents/MacOS/LiveType
0x189ec000 - 0x189ef02f +Motion ??? (???) <b5e862eee0ff4f86a78998e3e601a18c> /Library/Frameworks/Motion.framework/Versions/A/Motion
0x189f4000 - 0x189f6fff +com.Logitech.Control Center.Scroll Enhancer OSAX Loader 2.6.0 (2.6.0) /Library/ScriptingAdditions/LCC Scroll Enhancer Loader.osax/Contents/MacOS/LCC Scroll Enhancer Loader
0x18b00000 - 0x18b65fde  com.apple.LiveType.framework 2.1.3 (2.1.3) /System/Library/PrivateFrameworks/LiveType.framework/Versions/A/LiveType
0x18b85000 - 0x18bf7fff +com.DivXInc.DivXDecoder 6.4.0 (6.4.0) /Library/QuickTime/DivX Decoder.component/Contents/MacOS/DivX Decoder
0x18c05000 - 0x18c4bfc3  com.apple.motion.component 1.0 (1.0) <77973a134e79426f853f2318e52a2207> /Library/QuickTime/Motion.component/Contents/MacOS/Motion
0x18c51000 - 0x18cd8feb  com.apple.applescript 2.0.1 (2.0.1) /System/Library/PrivateFrameworks/AppleScript.framework/Versions/A/AppleScript
0x18d7c000 - 0x18d7efff +com.Logitech.Control Center.Scroll Enhancer 2.6.0 (2.6.0) /Library/Application Support/Logitech/LCC Scroll Enhancer.bundle/Contents/MacOS/LCC Scroll Enhancer
0x8fe00000 - 0x8fe2da53  dyld 96.2 (???) <5013f43c4d2c33c9619011f103ec3238> /usr/lib/dyld
0x90040000 - 0x90040ffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x90041000 - 0x90187ff7  com.apple.ImageIO.framework 2.0.4 (2.0.4) <6a6623d3d1a7292b5c3763dcd108b55f> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x90188000 - 0x9020cfe3  com.apple.CFNetwork 339.5 (339.5) <c6565c13b0356e1d4bb99a68398d558b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x9020d000 - 0x90289feb  com.apple.audio.CoreAudio 3.1.0 (3.1) <be7120e91df91425e904d5327b4338b7> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9028a000 - 0x902d4fe1  com.apple.securityinterface 3.0 (32532) <e849f522f5055fb9083609a3c6e32280> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x902d5000 - 0x9040dff7  libicucore.A.dylib ??? (???) <3d8fdaf51c2664ab620f1688203caf26> /usr/lib/libicucore.A.dylib
0x9040e000 - 0x90540fff  com.apple.CoreFoundation 6.5.4 (476.15) <e2869ad6dc1dd289f21b305b0bea9158> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x90541000 - 0x905d4ff3  com.apple.ApplicationServices.ATS 3.4 (???) <a96cd91dabc68545183c11de8f92c7e4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9060c000 - 0x90698ff7  com.apple.LaunchServices 290 (290) <61af37aac50984d220dd176f777e3b72> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x906db000 - 0x906ddfff  com.apple.securityhi 3.0 (30817) <020419ad33b8638b174e1a472728a894> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x906de000 - 0x90710fff  com.apple.LDAPFramework 1.4.5 (110) <cc04500cf7b6edccc75bb3fe2973f72c> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x90711000 - 0x90711fff  com.apple.Carbon 136 (136) <ec1d4184925e652dbe1b9200a5a552ec> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x90712000 - 0x90751fef  libTIFF.dylib ??? (???) <3589442575ac77746ae99ecf724f5f87> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x90752000 - 0x90752ff8  com.apple.Cocoa 6.5 (???) <e9318c93615b27231498bbe585b8da98> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x90753000 - 0x90753ffe  com.apple.MonitorPanelFramework 1.2.0 (1.2.0) <1bce4a22b6a5cc7055d0938ddad269b2> /System/Library/PrivateFrameworks/MonitorPanel.framework/Versions/A/MonitorPanel
0x90754000 - 0x90b64fef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x90b73000 - 0x90b73ff8  com.apple.ApplicationServices 34 (34) <e9cd7c823062c4382d89e3c9997f4739> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x90b74000 - 0x90c24fff  edu.mit.Kerberos 6.0.12 (6.0.12) <da7253e3fb7e47e46cb46d47ed320ffc> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x90c25000 - 0x90c4ffff  com.apple.CoreMediaPrivate 11.0 (11.0) <e37d6ebd5934b482c864ba6eaf122488> /System/Library/PrivateFrameworks/CoreMediaPrivate.framework/Versions/A/CoreMediaPrivate
0x90c50000 - 0x90c6efff  libresolv.9.dylib ??? (???) <a8018c42930596593ddf27f7c20fe7af> /usr/lib/libresolv.9.dylib
0x90c6f000 - 0x90cb0fe7  libRIP.A.dylib ??? (???) <1f09316e876fe813271bdfb9eb5b229e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x90cb1000 - 0x90cb2ffc  libffi.dylib ??? (???) <596e0dbf626b211741cecaa9698f271b> /usr/lib/libffi.dylib
0x90cb3000 - 0x90cb8ffb  com.apple.DisplayServicesFW 2.0 (2.0) <b0b9a41a526a431b09ac0e0e5cec8261> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
0x90d9a000 - 0x90e7fff3  com.apple.CoreData 100.1 (186) <9187380c86061cb4c37b6bec8abeae75> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x90e80000 - 0x90ea8fff  libcups.2.dylib ??? (???) <bddaa132350e872b9d6d8b7e57f204d1> /usr/lib/libcups.2.dylib
0x90ebb000 - 0x90edaffa  libJPEG.dylib ??? (???) <e7eb56555109e23144924cd64aa8daec> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x90edb000 - 0x91577fff  com.apple.CoreGraphics 1.351.33 (???) <481a77e81d9e53589a05e80cfa90bbb5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x91578000 - 0x915ffff7  libsqlite3.0.dylib ??? (???) <11311084bc4be9d4555dfac74fe7218a> /usr/lib/libsqlite3.0.dylib
0x91600000 - 0x91624fff  libxslt.1.dylib ??? (???) <59399cc446ed903fd9479526ee9f116b> /usr/lib/libxslt.1.dylib
0x91625000 - 0x91706ff7  libxml2.2.dylib ??? (???) <1baef3d4972ee789d8fa6c1fa44da45c> /usr/lib/libxml2.2.dylib
0x91707000 - 0x9170cfff  com.apple.backup.framework 1.0 (1.0) /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x9175c000 - 0x917abfff  com.apple.QuickLookUIFramework 1.3 (170.7) /System/Library/PrivateFrameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x917ac000 - 0x91866fe3  com.apple.CoreServices.OSServices 226.5 (226.5) <2a135d4fb16f4954290f7b72b4111aa3> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x91867000 - 0x91867ffe  com.apple.quartzframework 1.5 (1.5) <49afd7e7e3b2cad89cfaf2ac8c67c8a4> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x91868000 - 0x91868ffa  com.apple.CoreServices 32 (32) <2760719f7a81e8c2bdfd15b0939abc29> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x91869000 - 0x918a3fe7  com.apple.coreui 1.2 (62) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x918a4000 - 0x918b4fff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <06d8fc0307314f8ffc16f206ad3dbf44> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x918b5000 - 0x91d86f3e  libGLProgrammability.dylib ??? (???) <fe1a33d4919c121aab831ad516da6a89> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x91d87000 - 0x91d9dfe7  com.apple.CoreVideo 1.5.1 (1.5.1) <001910004257f1386724398f584b30b5> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x91d9e000 - 0x91de0fef  com.apple.NavigationServices 3.5.2 (163) <91844980804067b07a0b6124310d3f31> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x91de1000 - 0x91e3effb  libstdc++.6.dylib ??? (???) <6106b1f2b0b303b06ae476253dbb5f3f> /usr/lib/libstdc++.6.dylib
0x91e3f000 - 0x91e88fef  com.apple.Metadata 10.5.2 (398.22) <a6b676925dd832780daf991e79adfebd> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x91e8c000 - 0x91f06ff8  com.apple.print.framework.PrintCore 5.5.3 (245.3) <222dade7b33b99708b8c09d1303f93fc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x91f0d000 - 0x920dbfff  com.apple.security 5.0.4 (34102) <f01d6cbd6a0f24f6c13952ed448e77d6> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x920f9000 - 0x92231fe7  com.apple.imageKit 1.0.2 (1.0) <5eee702fe546c8c881acfc65c41ad178> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
0x92232000 - 0x92236fff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x92237000 - 0x922e9ffb  libcrypto.0.9.7.dylib ??? (???) <69bc2457aa23f12fa7d052601d48fa29> /usr/lib/libcrypto.0.9.7.dylib
0x923ec000 - 0x92476fe3  com.apple.DesktopServices 1.4.7 (1.4.7) <d16642ba22c32f67be793ebfbe67ca3a> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x92477000 - 0x9247bfff  libGIF.dylib ??? (???) <572a32e46e33be1ec041c5ef5b0341ae> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x9247c000 - 0x924d5ff7  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x924d6000 - 0x92553fef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x92554000 - 0x926b4ff3  libSystem.B.dylib ??? (???) <a12f397abf2285077b89bd726bff5b18> /usr/lib/libSystem.B.dylib
0x926b5000 - 0x92740fff  com.apple.framework.IOKit 1.5.1 (???) <324526f69e1443f2f9fb722cc88a23ec> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x92741000 - 0x9274cfe7  libCSync.A.dylib ??? (???) <86d2f2e167ba6f74f45a186f5c7f8980> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x9274d000 - 0x92754fe9  libgcc_s.1.dylib ??? (???) <28a7cbc3a5ca2982d124668306f422d9> /usr/lib/libgcc_s.1.dylib
0x92755000 - 0x92755ffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x92756000 - 0x9275efff  com.apple.DiskArbitration 2.2.1 (2.2.1) <42908e7ecc17a83cec4afef2850ec79e> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x9275f000 - 0x9282afff  com.apple.ColorSync 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9282b000 - 0x92838fe7  com.apple.opengl 1.5.7 (1.5.7) <db835aeb1ffca9f5b5647dd0829a5b2c> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x92839000 - 0x92868fe3  com.apple.AE 402.2 (402.2) <d0da935e781446faa4563e7a9c587cce> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x92869000 - 0x9381effe  com.apple.QuickTimeComponents.component 7.5.5 (990.7) /System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x9381f000 - 0x9389eff5  com.apple.SearchKit 1.2.1 (1.2.1) <3140a605db2abf56b237fa156a08b28b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x938a4000 - 0x938cffe7  libauto.dylib ??? (???) <2072d673706bbe463ed2426af57a28d7> /usr/lib/libauto.dylib
0x938d0000 - 0x938d9fff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <6a6518b392d3d41ace3dcea69d6809d9> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x938da000 - 0x938dcff5  libRadiance.dylib ??? (???) <8a844202fcd65662bb9ab25f08c45a62> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x938dd000 - 0x93bfffe2  com.apple.QuickTime 7.5.5 (990.7) <87077cec43c7e9b02c8ee80e50b8b81f> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x93c00000 - 0x93c2dfeb  libvDSP.dylib ??? (???) <2ee4eb005babc90eaa352b33eb09226e> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x93c2e000 - 0x93c46fff  com.apple.openscripting 1.2.8 (???) <572c7452d7e740e8948a5ad07a99602b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x93c47000 - 0x93c53ff9  com.apple.helpdata 1.0.1 (14.2) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x93c54000 - 0x93c63ffe  com.apple.DSObjCWrappers.Framework 1.2.1 (1.2.1) <43c5b91223501f917392f59fbf9d7ace> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x93c64000 - 0x93edffe7  com.apple.Foundation 6.5.6 (677.21) <5cfa0aa8b9b43193955d601ba6c2591a> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x93ee0000 - 0x93f08ff7  com.apple.shortcut 1 (1.0) <5b57f8f162f77a1739b436900517d672> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x93f77000 - 0x93f95ff7  com.apple.QuickLookFramework 1.3 (170.7) /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x93f96000 - 0x93facfff  com.apple.DictionaryServices 1.0.0 (1.0.0) <7e9ff586b5c9d02b09e2a5527d98524f> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x93fad000 - 0x94040fff  com.apple.ink.framework 101.3 (86) <dfa9debcd7537849d228021d1d9c0f63> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x94041000 - 0x9404bfeb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <caa41909dcb5a18a94bc68cd13999bd5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x9404c000 - 0x9404cffd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x9407e000 - 0x94172ff4  libiconv.2.dylib ??? (???) <3f183527811098bb7332f67a1f902bfd> /usr/lib/libiconv.2.dylib
0x94173000 - 0x94173ffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x94174000 - 0x941abfff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <8b26ebf26a009a098484f1ed01ec499c> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x94415000 - 0x9441afff  com.apple.CommonPanels 1.2.4 (85) <3b64ef0de184d09c6f99a1a7e77e42be> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x9441b000 - 0x947d9fea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x947da000 - 0x947e1ff7  libCGATS.A.dylib ??? (???) <973c01cc14f3d673270e269ccfaec660> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x947e2000 - 0x947f6ff3  com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x947f7000 - 0x94847ff7  com.apple.HIServices 1.7.0 (???) <f83f0cb838a646c69f08fd38a31265f3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x94848000 - 0x94854ffe  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x94855000 - 0x94864fff  libsasl2.2.dylib ??? (???) <75b9d97ca7c3d53cd38bdd420a377522> /usr/lib/libsasl2.2.dylib
0x948af000 - 0x94951ff3  com.apple.QuickTimeImporters.component 7.5.5 (990.7) /System/Library/QuickTime/QuickTimeImporters.component/Contents/MacOS/QuickTimeImporters
0x94952000 - 0x94a32fff  libobjc.A.dylib ??? (???) <7b92613fdf804fd9a0a3733a0674c30b> /usr/lib/libobjc.A.dylib
0x94a33000 - 0x94d3afff  com.apple.HIToolbox 1.5.4 (???) <5e2af960b53059c648af4adb99471032> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x94d3b000 - 0x94de9ffb  com.apple.QTKit 7.5.5 (990.7) /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x94f4c000 - 0x94f4cffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x94f4d000 - 0x94f68ffb  libPng.dylib ??? (???) <4780e979d35aa5ec2cea22678836cea5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x94f99000 - 0x95056fff  com.apple.WebKit 5525.18 (5525.18) <7e41e38368974ed048c2f027a961dbd4> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x95057000 - 0x9507bfeb  libssl.0.9.7.dylib ??? (???) <c7359b7ab32b5f8574520746e10a41cc> /usr/lib/libssl.0.9.7.dylib
0x9507c000 - 0x95083fff  com.apple.agl 3.0.9 (AGL-3.0.9) <aeab67ef267f8295ae80fddc197b52a5> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x9509c000 - 0x950d5ffe  com.apple.securityfoundation 3.0 (32989) <d25780b149d9b0b518899c8aade0b61f> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x950ea000 - 0x9515cfff  com.apple.PDFKit 2.1.1 (2.1.1) /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x9515d000 - 0x95204feb  com.apple.QD 3.11.54 (???) <b743398c24c38e581a86e91744a2ba6e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x95205000 - 0x95223ff3  com.apple.DirectoryService.Framework 3.5.5 (3.5.5) <4b81063df189bc462f012a169474fcbc> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x95224000 - 0x9527eff7  com.apple.CoreText 2.0.3 (???) <1f1a97273753e6cfea86c810d6277680> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x9527f000 - 0x9528dffd  libz.1.dylib ??? (???) <545ca09467025f77131cfac09d8b9375> /usr/lib/libz.1.dylib
0x95291000 - 0x952cffff  libGLImage.dylib ??? (???) <f0fe2252f6b1ca341bc7837fe2dcf11a> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x952d0000 - 0x953f4fe3  com.apple.audio.toolbox.AudioToolbox 1.5.1 (1.5.1) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x953f5000 - 0x956cfff3  com.apple.CoreServices.CarbonCore 786.6 (786.6) <5682aae1e2cf5ae750d5a4dea98c084c> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x95788000 - 0x95798ffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <8b7831b5f74a950a56cf2d22a2d436f6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x95799000 - 0x95de9fff  com.apple.WebCore 5525.18.1 (5525.18.1) <9fcf69305c5b48dd8a5cb77107f66c7a> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x95e5d000 - 0x95eb9ff7  com.apple.htmlrendering 68 (1.1.3) <a9f65fa1c4668dc7c49af5bf7d5287ad> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x95ec4000 - 0x95ef5ffb  com.apple.quartzfilters 1.5.0 (1.5.0) <01090d7204c55b32a6a11199fa0d2e2b> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
0x95ef6000 - 0x960b1ff3  com.apple.QuartzComposer 2.1 (106.5) <1a52b406a3f3d04387c822da4a93c245> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x960b2000 - 0x9644ffe7  com.apple.QuartzCore 1.5.5 (1.5.5) <82435993614a3fff1236be18f82188bf> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x96450000 - 0x96456fff  com.apple.print.framework.Print 218.0.2 (220.1) <2979f3be4e7e8adc875bf21658e9be94> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x96457000 - 0x9651eff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x9651f000 - 0x96526ffe  libbsm.dylib ??? (???) <5582985a86ea36504cca31788bccf963> /usr/lib/libbsm.dylib
0x96527000 - 0x96d24fef  com.apple.AppKit 6.5.3 (949.34) <4c7af9b12c894d4a528fda29377f143b> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x96d25000 - 0x96d64fff  com.apple.CoreMediaIOServicesPrivate 12.0 (12.0) /System/Library/PrivateFrameworks/CoreMediaIOServicesPrivate.framework/Versions/A/CoreMediaIOServicesPrivate
0x96d65000 - 0x96d68fff  com.apple.help 1.1 (36) <175489f8adf287b3ebd259362b0292c0> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x96e3f000 - 0x96fbefff  com.apple.AddressBook.framework 4.1.1 (696) <bb7f2d5f0b2d180288cd959cd9ba6c1a> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x96fbf000 - 0x9708dff3  com.apple.JavaScriptCore 5525.18 (5525.18) <672d1c7f16a4300addabeff4830f5024> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0xb0000000 - 0xb0027fef +com.positivespinmedia.PSMTabBarControlFramework ??? (1.1) /Applications/Webs/Adium.app/Contents/Frameworks/PSMTabBarControl.framework/Versions/A/PSMTabBarControl
0xba900000 - 0xba916fff  libJapaneseConverter.dylib ??? (???) <79f7cbef6bc9f4c32a42d63c7332bf8e> /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0xc0000000 - 0xc0010fff +com.growl.growlwithinstallerframework 1.1.4 (1.1.4) <58df1e75c1cfca810e9dbb419f6678f8> /Applications/Webs/Adium.app/Contents/Frameworks/Growl-WithInstaller.framework/Versions/A/Growl-WithInstaller
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib


Attachments (4)

Adium_2008-11-18-103319_jwpMacBook.crash (32.7 KB) - added by John Pope 12 years ago.
example of libpurple session state change SIGBUS crash
2008-11-21reported.log (13.3 KB) - added by John Pope 12 years ago.
Debug log on crash - see notes and crash log
Adium_2008-11-21-093453_reported.crash (32.5 KB) - added by John Pope 12 years ago.
Matching crash log to the Debug just attached
TRUSS.log (21.5 KB) - added by John Pope 12 years ago.
output from dtruss on separate crash - note the final read from a closed handle…

Download all attachments as: .zip

Change History (13)

comment:1 Changed 12 years ago by Robert

Description: modified (diff)
Milestone: Needs feedback from users
pending: 01

Please try the TroubleshootingTips.

comment:1 Changed 12 years ago by trac-robot

pending: 10
Status: newclosed

This ticket was closed automatically by the system. It was previously set to a Pending status and hasn't been updated within 14 days.

Changed 12 years ago by John Pope

example of libpurple session state change SIGBUS crash

comment:2 Changed 12 years ago by John Pope

This bug, and 10995 which was closed as supposedly only an MSN PECAN issue is a GENERAL issue w/ libpurple session change state. In my case when I log into a sametime/meanwhile server I get nearly the same crash w/ a SIGBUS in a strcmp in the attached crash dump Adium_2008-11-18-103319_jwpMacBook.crash. If I then remove the ByObjectsPrefs.plist which contains the contact status information, I am able to restart Adium. If I set my account to NOT automatically log in the crash is deferred until I "connect". Eventually Adium asks if I want to reset the application "settings" [what plist is this?] I am then able to log in with Adium.

comment:3 Changed 12 years ago by Robert

Milestone: Needs feedback from usersAdium 1.3.3
priority: normalhigh
Severity: normalmajor
Status: closedreopened

comment:4 in reply to:  2 Changed 12 years ago by John Pope

Replying to jwpope:

... Eventually Adium asks if I want to reset the application "settings" [what plist is this?] I am then able to log in with Adium.

Correction... today I "reset the application settings" approx. 8 times without being able to log in. Eventually I did get connected. Resetting the application settings is not sufficient. Interestingly Adium does not crash after the logon even if there are status changes for my contacts. Perhaps a race condition on updates to the plist file(s)?

I'll start running the debug release today.

Changed 12 years ago by John Pope

Attachment: 2008-11-21reported.log added

Debug log on crash - see notes and crash log

Changed 12 years ago by John Pope

Matching crash log to the Debug just attached

comment:5 Changed 12 years ago by John Pope

I contrived this crash by changing the status of one of my Sametime contacts "Last Seen Status" to "Signing off" vs. "Online" - Adium then crashed when I attempted a login. After the crash I changed that contact in ByObjectPrefs.plist to "Online" and Adium succeeded loging into the Sametime server...

The debug log on success looks like...
09:43:56: ************ jwpope@us.ibm.com --step-- 4
09:43:56: ************ jwpope@us.ibm.com --step-- 5
09:43:57: (Libpurple: meanwhile) session state: login acknowledged
09:43:57: Connecting: gc=0x1aaceaa0 (Login Acknowledged) 8 / 11
09:43:57: (Libpurple: meanwhile) starting service File Transfer
09:43:57: (Libpurple: meanwhile) started service File Transfer
09:43:57: (Libpurple: meanwhile) starting service User Storage
09:43:57: (Libpurple: meanwhile) channel 0x00000001 state: waiting
09:43:57: (Libpurple: meanwhile) channel 0x00000001 state: initializing
09:43:57: (Libpurple: meanwhile) channel 0x00000001 state: waiting
09:43:57: (Libpurple: meanwhile) starting service Places Conferencing
09:43:57: (Libpurple: meanwhile) started service Places Conferencing
09:43:57: (Libpurple: meanwhile) starting service Instant Messaging
09:43:57: (Libpurple: meanwhile) started service Instant Messaging
09:43:57: (Libpurple: meanwhile) starting service Presence Awareness


(please contact via personal email for full debug which contains too much contact info for a public listing)

Changed 12 years ago by John Pope

Attachment: TRUSS.log added

output from dtruss on separate crash - note the final read from a closed handle...

comment:6 Changed 12 years ago by John Pope

Added dtruss output - the last files opened by Adium are libpurple/blist.xml, Asleep.png, Connect1.png, Asleep.png, and then Connect2.png.

comment:7 Changed 12 years ago by James

I've had the same problem since the update. once the application is open, Status and Contact dropdown menus fail to show, as does the Contacts bar

When selecting preferences, the error message "Preferences are not available for Adium" appears.

comment:8 Changed 12 years ago by Evan Schoenberg

Resolution: fixed
Status: reopenedclosed
Summary: Adium not able to launch ever since updated to 1.3.2 on Mac.Since 1.3.2, logging into QQ hangs then crashes

@jwpope: This ticket is about a QQ problem (which I believe is fixed in Adium 1.3.3b1 with the libpurple 2.5.3 update). Please find or create a separate ticket for your Sametime issue(s) and include your bug reporting there, which we do appreciate.

I'm closing this ticket as fixed in 1.3.3, as this QQ problem should be fixed with the libpurple 2.5.3 update. Please reopen if the same crash log is reproduced in 1.3.3b1 or later; otherwise, please open a new ticket.

Note: See TracTickets for help on using tickets.